MODULE YOMRIP15

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     -----------------------------------------------------------------
!*    ** *YOMRIP15* - TIME VARIABLES FOR ECMWF RADIATION
!*                          FROZEN VERSION (CYCLE 15) OF YOERIP
!     -----------------------------------------------------------------

!*    Real time related variables for ECMWF radiation: updated UPDTIER

!     RCODECM15: COSINE OF THE DECLINATION
!     RSIDECM15:   SINE OF THE DECLINATION

!     RCOVSRM15: COSINE OF TRUE SOLAR TIME
!     RSIVSRM15:   SINE OF TRUE SOLAR TIME

REAL(KIND=JPRB) :: RCODECM15
REAL(KIND=JPRB) :: RSIDECM15
REAL(KIND=JPRB) :: RCOVSRM15
REAL(KIND=JPRB) :: RSIVSRM15
!     ------------------------------------------------------------------

!        * E.C.M.W.F. PHYSICS PACKAGE *

!        96-11: Ph. Dandin. Meteo-France
!     ORIGINAL BY J.-J. MORCRETTE       E.C.M.W.F.

END MODULE YOMRIP15
